package com.company.bassdkot.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import jakarta.persistence.Column
import jakarta.persistence.MappedSuperclass
import jakarta.validation.constraints.NotEmpty
import jakarta.validation.constraints.NotNull

@JmixEntity
@MappedSuperclass
open class BaseMasterData : BaseEntitySoftDelete() {
    @Column(name = "CODE", nullable = false)
    @NotEmpty
    @NotNull
    var code: String? = null
}